U++ - Bug #567
ThelDE compilation broken
11/08/2013 08:10 AM - Jan Dolinar

Status: Approved Start date: 11/08/2013
Priority: Normal Due date:

Assignee: Jan Dolinar % Done: 0%
Category: CtrlLib Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Versions 5632 and 5637 failed to build theide in launchpad with this error:
/build/buildd/upp-6532/uppsrc/ide/Xml.cpp:28:54: error: call of overloaded 'Add(int&, Upp::Image, Upp::String&, Upp::String&)' is
ambiguous
/build/buildd/upp-6532/uppsrc/ide/Xml.cpp:28:54: note: candidates are:
uppsrc/CtrlLib/TreeCtrl.h:195:9: note: int Upp::TreeCtrl::Add(int, const Upp::Image&, Upp::Value, bool)
uppsrc/CtriLib/TreeCtrl.h:196:9: note: int Upp::TreeCtrl::Add(int, const Upp::Image&, Upp::Value, Upp::Value, bool)

Full log: https://launchpadlibrarian.net/156023348/buildlog_ubuntu-precise-i386.upp_6532-1~precise0_FAILEDTOBUILD.txt.gz

Last nightly that worked was 6526.

History

#1 - 11/08/2013 02:54 PM - Miroslav Fidler
- Status changed from New to Ready for QA
- Assignee changed from Miroslav Fidler to Jan Dolinar

Should be now fixed...

#2 - 11/16/2013 01:12 PM - Miroslav Fidler
- Status changed from Ready for QA to Approved
